vue ui でTypeError: server.installSubscriptionHandlers is not a functionのエラー

具体的な内容

vue ui のコマンドを打ったら、以下のエラーが発生しました。
TypeError: server.installSubscriptionHandlers is not a function

動作環境

MacOS M1  2022年7月

$ node -v
v16.13.0

$ npm list -g
├── @vue/cli@5.0.7
├── npm@8.1.0

解決方法

5系を使うとエラーになったので、4系にダウングレードしたら解決しました。

$ npm install -g @vue/cli@4

$ npm list -g
├── @vue/cli@4.5.19

$ vue ui
🚀  Starting GUI...
🌠  Ready on http://localhost:8000

vue.js

Posted by パソコンの先生